gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Gtk.ITreeNode TreeNode abstract class

Convenience class for deriving ITreeNode implementing objects for implementations. This class can be subclassed to quickly implement a node type without having to implement the tree building and navigational aspects of the interface.

The following example shows a simple subclass:

`[TreeNode(ColumnCount=1)] public class MyTreeNode : TreeNode { string level; public MyTreeNode (string level) { this.level = level; } [TreeNodeValue(Column=0)] public string Level { get { return level; } set { level = value; OnChanged (); } } }`

The base class provides all the details and MyTreeNode uses to notify of tree related node changes.

- Constructor
  2.12.0.0
  TreeNode constructor
  Default constructor..
- Method
  2.12.0.0
  System.Void `` a Appends a child to the node Adds the specified to this . The is added to the end of the children list, the property of is set to this node, and the event is raised.
- Method
  2.12.0.0
  System.Void `` `` a Position among the node's children to insert Inserts a child at the given position Adds the specified to this . The is added to the children list before the child currently at position , the property of is set to this node, and the event is raised.
- Event
  2.12.0.0
  System.EventHandler Changed event Raised when the contents of the change. Use for a convenient way to raise the event.
- Event
  2.12.0.0
  Gtk.TreeNodeAddedHandler ChildAdded event Raised when a child is added to the node.
- Property
  2.12.0.0
  System.Int32 ChildCount a Read-only. The number of children of this node.
- Event
  2.12.0.0
  Gtk.TreeNodeRemovedHandler ChildRemoved event Raised when a child is removed from the node.
- Property
  2.12.0.0
  System.Int32 ID property a Read-only. Provides a unique identifier for all instances.
- Method
  2.12.0.0
  System.Int32 `` a IndexOf method a Returns the child index of or -1 if is not a child of this .
- Property
  2.12.0.0
  Gtk.ITreeNode `` a Child indexer a Returns the child at position in the list of children for this .
- Method
  2.12.0.0
  System.Void OnChanged method Raises the Changed event. Call this method if any column values of the node change.
- Property
  2.12.0.0
  Gtk.ITreeNode Parent property a Read-only. The parent for this node.
- Method
  2.12.0.0
  System.Void `` a RemoveChild method Removes the specified from this . The property of is set to and the event is raised.